//图片加载
var scrollLoad = (function (options) {
		
	var defaults = (arguments.length == 0) ? { src: 'xSrc', time: 300} : { src: options.src || 'xSrc', time: options.time ||300};
	var camelize = function (s) {
		return s.replace(/-(\w)/g, function (strMatch, p1) {
			return p1.toUpperCase();
		});
	};
	this.getStyle = function (element, property) {
		if (arguments.length != 2) return false;
		var value = element.style[camelize(property)];
		if (!value) {
			if (document.defaultView && document.defaultView.getComputedStyle) {
				var css = document.defaultView.getComputedStyle(element, null);
				value = css ? css.getPropertyValue(property) : null;
			} else if (element.currentStyle) {
				value = element.currentStyle[camelize(property)];
			}
		}
		return value == 'auto' ? '' : value;
	};
	var _init = function () {
		
		var offsetPage = window.pageYOffset ? window.pageYOffset : window.document.body.scrollTop,
			 offsetWindow = offsetPage + Number(window.innerHeight ? window.innerHeight : document.body.clientHeight),
			docImg = document.images,
			_len = docImg.length;
		

		if (!_len) return false;
		for (var i = 0; i < _len; i++) {
			if (docImg[i].getAttribute('loaded') == '1')
			{
				continue;
			}
			var attrSrc = docImg[i].getAttribute(defaults.src),
				o = docImg[i], tag = o.nodeName.toLowerCase(),imgID = docImg[i].getAttribute('id');
			if (o) {
				postPage = o.getBoundingClientRect().top + window.document.documentElement.scrollTop + window.document.body.scrollTop; postWindow = postPage + Number(this.getStyle(o, 'height').replace('px', ''));

				if (true || (postPage > offsetPage && postPage < offsetWindow) || (postWindow > offsetPage && postWindow < offsetWindow)) {
					if (tag === "img" && attrSrc !== null) {
						DZ.isExistImg(attrSrc,imgID);
						
						//if(isExist){
						//	var temp = attrSrc.split("/");
						//	o.setAttribute("src", "/sdcard/dzwww/img/" + temp[temp.length-1]);
						//	o.setAttribute("style", "padding:6px 0 6px 0;");
						//}
						//o.setAttribute("src", attrSrc);
						//o.setAttribute("style", "padding:6px 0 6px 0;");
					}
					o = null;
				}
			}
		};
		window.onscroll = function () {
			setTimeout(function () {
				_init();
			}, defaults.time);
		}
	};
	return _init();
});

//点赞
function onRecommendAddClicked() {

    DZ.onRecommendAddClicked(param.tid);
}
//踩
function onRecommendSubClicked() {

    DZ.onRecommendSubClicked(param.tid);
}
//只看楼主
function onOnlyAuthorClicked() {
    
	var authorid = $('#onlyAuthor').attr('authorid');
	DZ.onOnlyAuthorClicked(param.tid, authorid);
}
//倒序
function onOrdertypeClicked() {
   
	var ordertype = $('#ordertype').attr('ordertype');
	DZ.onOrdertypeClicked(param.tid, ordertype);
}
//举报
function onReportClicked() {
    
	var rid = $('#report').attr('rid');
	DZ.onReportClicked(param.fid, param.tid, rid);
}
//回复
function onReplyClicked() {
	//
	var rid = $(this).attr('rid');
	var author = $(this).attr('author');
	DZ.onReplyClicked(param.tid, rid, author);
}
//图片点击
function onImageClicked(e) {
    var image = e.target;
    //video image should not be clicked
    if (image.parentNode.getAttribute('data-type') == 'mod_player') {
        return;
    }

    if (image.getAttribute('pic-type') == 'unClickable') {
        return;
    }

    // 图片点击时滚动到原始位置
    var top = image.style.top;
    if ( typeof (top) == "string" && image.style.top != '0px' && image.style.position == 'relative') {
        jQuery(image).animate({
            top : '0px'
        }, function() {
            onImageClicked(e);
        });
        return;
    }

    // 被点击图片的信息
    var paraNode = image.parentNode;

    var imageIndex = image.getAttribute('data-index');
    var imageUrl = decodeURI(image.src);
    // var imageWidth = paraNode.clientWidth;
    var imageWidth = image.clientWidth;
    //var imageHeight = Math.min(image.clientHeight, image.parentNode.clientHeight);
	var imageHeight = image.clientHeight;

    // 所有图片的位置信息
    var imagesFrame = new Array();
    var pItems = jQuery('span.image');
    for (var i = 0; i < pItems.length; i++) {
        var imgItems = pItems[i].getElementsByTagName('img');
        if (imgItems.length > 0) {
            var img = imgItems[0];
            var para = img.parentNode;

            // 过滤非正文图片
            if (!img.getAttribute('data-index')) {
                continue;
            }

            var imgIndex = img.getAttribute('data-index');
            /*
            var imgHeight = Math.min(img.clientHeight, para.clientHeight);
            if (imgHeight <= 0) {
                imgHeight = para.clientHeight;
            }
			*/
			var imgHeight = img.clientHeight;
            //var imgFrame = {index:imgIndex, top: getElementTop(img), left: getElementLeft(img), width: para.clientWidth/*img.clientWidth*/, height: imgHeight};
            var imgFrame = {
                index : imgIndex,
                // top : getElementTop(para),
                // left : getElementLeft(para),
                // width : para.clientWidth/*img.clientWidth*/,
                top : getElementTop(img),
                left : getElementLeft(img),
                width : img.clientWidth,
                height : imgHeight
            };
            imagesFrame.push(imgFrame);
        }
    }

    var posTop = getElementViewTop(image);
    // var posLeft = getElementViewLeft(paraNode/*image*/);
    var posLeft = getElementViewLeft(image);

    // 通知webview图片点击事件
    /**
	jsBridge.postNotification('imageClicked', {
        index : imageIndex,
        url : imageUrl,
        pos_left : posLeft,
        pos_top : posTop,
        width : imageWidth,
        height : imageHeight,
        images_frame : imagesFrame
    });
	*/
	DZ.imageClicked(imageIndex, imageUrl, posLeft, posTop, imageWidth, imageHeight, imagesFrame);

    // 保存上一次图片点击的绝对位置
    lastClickedImagePosition.top = posTop;
    lastClickedImagePosition.left = posLeft;
}

function onShowImageAtIndex(e) {
    e.stopPropagation();
    var index = $(this).attr('data-index');
    if ( typeof index === 'undefined' || index === null) {
        return;
    }

    var imageHasShowed = $(this).attr('data-image_showed');
    if (imageHasShowed) {
        return;
    }
	/**
    if (typeof jsBridge != 'undefined') {
        jsBridge.postNotification("onShowImageAtIndex", {
            'index' : index,
            'visible' : $(this).visible(true)
        });
    }
	*/
	DZ.onShowImageAtIndex(index, $(this).visible(true));

    var mapNode = jQuery('div.map[data-index="'+ index +'"]')[0];
    if (mapNode) {
     //   showMapNoticeInfo(index, '正在加载...');
    }
}

//页面刷新，重新加载，客户端重新获取数据后，调用init(data_json)
function threadRefresh(){
	DZ.threadRefresh();
}
//下一页
function nextPage(){
	if (data.data.pages > param.page){
		DZ.nextPage();
	}else{
		un_scoll();
	}
}
//点击用户头像，
function onPhotoClicked(){
	var userid = $(this).attr('userid');
	DZ.onPhotoClicked(userid);
}
//回复 回调函数，需传入回复的id，客户端使用
function replyCallback(pid){
	$("html,body").animate({scrollTop:$("#post_"+pid).offset().top},1000);
}

function gotoReply(){
    location.href='#posts_div';
}

//回复点赞
function onSupportClicked() {
    var rid = $(this).attr('rid');
    var is_supported = $(this).attr('is_supported');
    if (is_supported == 0)
    {
        DZ.supportClicked(rid);
    }
}


//视频点击
function onDzplayerClicked(){
	var video_url = $(this).attr('video_url');
	DZ.dzplayerClicked(video_url);
}
//加载视频图片
function dzplayerThumb(){
	var num = 0;
	$.each($('.dzplayer_thumb'), function(i, item){
		var _this = $(this);
		var thumb_url = _this.attr('xSrc');
		var id = 'dzplayer_thumb_'+ num;
		_this.attr('id', id);
		num += 1;
		DZ.log("jslog"+id);
		DZ.isExistImg( thumb_url,id);
	});
}
